Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Adaptive Multi-Rate Wideband (AMR-WB) Speech Codec
Name:		amrwb
Version:	7.0.0.1
Release:	1
License:	Commercial 
URL:		http://www.penguin.cz/~utx/amr
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	wget

%description
Adaptive Multi-Rate Wideband decoder and encoder library.
(3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO readme.txt
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%{_includedir}/amrwb
%{_libdir}/*.so
%{_libdir}/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 7.0.0.1-1
- Initial Release
